import 'package:dotup_flutter_widgets/GroupedListView.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import "package:collection/collection.dart";
import 'package:dotup_flutter_widgets/dotup_flutter_widgets.dart';

class ListTilesPage extends StatelessWidget {
  const ListTilesPage({
    Key? key,
  }) : super(key: key);

  @override
  build(BuildContext context) {
    final color = Theme.of(context).accentColor; // Colors.white70;
    // final theme = Provider.of<ThemeProvider>(context, listen: false);
    final ThemeData theme = Theme.of(context);
    final subTitleStyle = theme.textTheme.subtitle1;
    final titleStyle = theme.textTheme.bodyText2!.copyWith(color: Colors.white70);

    return Scaffold(
      // title: 'zeiTick',
      // actions: [_buildAvatar(context)],
      // backgroundColor: Theme.of(context).buttonColor,
      // appBar: _buildAppBar(context),
      // body: _buildBody(context),
      // drawer: AppDrawer.standard(context),
      body: SafeArea(
        child: ListView(
          children: [
            Card(
              child: Text('sdf'),
            ),
            ListTile(
              // dense: true,
              leading: Icon(Icons.alt_route),
              title: Text(
                'Title',
                // style: TextStyle(color: color),
              ),
              subtitle: Text('SubTitle'),
              trailing: Container(
                height: 300,
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.end,
                  children: [
                    Text('2:00:00'),
                    Text('12:15 - 14:15'),
                    Text('12:15 - 14:15'),
                    // Text('12:15 - 14:15'),
                  ],
                ),
              ),
              onTap: () => print('tap'),
            ),
            SectionHeader(
              text: '26.10.2015',
              // color: ,
              backgroundColor: theme.cardColor,
            ),
            ListTile(
              dense: true,
              isThreeLine: true,
              contentPadding: EdgeInsets.zero,
              title: Row(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Padding(
                    padding: const EdgeInsets.only(left: 10, top: 0, right: 10),
                    child: Column(
                      children: [
                        Icon(Icons.alt_route),
                      ],
                    ),
                  ),
                  // Content
                  Expanded(
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Text('Title', style: titleStyle),
                        Text('SubTitle asdfkljklajds  hfl jgadhsf ljah sdlkjfhads lkjh', style: subTitleStyle),
                      ],
                    ),
                  ),
                  //Trailing
                  Column(
                    crossAxisAlignment: CrossAxisAlignment.end,
                    children: [
                      Text('2:00:00'),
                      Text(
                        '29.12.2021',
                        style: titleStyle,
                      ),
                      Text('12:15 - 14:15'),
                    ],
                  ),
                ],
              ),
              onTap: () => print('tap'),
              subtitle: Padding(
                padding: const EdgeInsets.all(4.0),
                child: Row(
                  children: [
                    Chip(
                      label: Text('label'),
                      backgroundColor: Colors.transparent,
                      elevation: 1,
                      // padding: EdgeInsets.zero,
                      visualDensity: VisualDensity.compact,

                      labelPadding: EdgeInsets.zero,
                      shape: StadiumBorder(),
                      avatar: Icon(
                        Icons.ac_unit,
                        size: 16,
                      ),
                    ),
                    Chip(
                      label: Text('label'),
                      backgroundColor: Colors.transparent,
                      elevation: 1,
                    ),
                  ],
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
